import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import {BrowserAnimationsModule} from "@angular/platform-browser/animations";

import { AppComponent } from './app.component';
import {
  MatButtonModule, MatCardModule, MatGridListModule, MatIconModule, MatListModule, MatMenuModule, MatSidenavModule,
  MatToolbarModule
} from "@angular/material";
import {RouterModule, Routes} from "@angular/router";
import { HomeComponent } from './home/home.component';
import { RouterLinkWithHref } from '@angular/router';
import {VttTraceComponent} from "./vtt-trace/vtt-trace/vtt-trace.component";

const routes: Routes =[
  {path: 'home', component: HomeComponent},
  { path: '',   redirectTo: '/home', pathMatch: 'full' },
  {path: 'vtt', component: VttTraceComponent}
 /* {path: 'dashboard', component: DashboardComponent},
  {path: 'capteur-ht', component: CapteurHtComponent},
  {path: 'todolist', component: TodoDashboardComponent},
  { path: '',   redirectTo: '/dashboard', pathMatch: 'full' },
   { path: '**', component: PageNotFoundComponent }*/
]

@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    VttTraceComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    MatGridListModule,
    MatCardModule,
    MatMenuModule,
    MatToolbarModule,
    MatButtonModule,
    MatIconModule,
    MatSidenavModule,
    MatListModule,
    RouterModule.forRoot(routes)
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
